#'Dataset: Bean
#'
#'@description
#'An experiment to evaluate the effect of different strains of Azospirillum on common bean cultivar
#'IPR Sabia was carried out in a greenhouse. A completely randomized design with five strains was used.
#'of Azospirillum (treatments) and five repetitions. The response variable analyzed was grain production per plant
#'(g plant-1).
#'
#' @docType data
#'
#' @usage data("bean")
#'
#' @format data.frame containing data set
#'   \describe{
#'   \item{\code{trat}}{numeric vector with treatment}
#'   \item{\code{prod}}{Numeric vector with grain production per plant}
#'   }
#' @keywords datasets
#' @seealso \link{aristolochia}, \link{cloro}, \link{laranja}, \link{enxofre}, \link{laranja}, \link{mirtilo}, \link{passiflora}, \link{phao}, \link{porco}, \link{pomegranate}, \link{simulate1}, \link{simulate2}, \link{simulate3}, \link{tomate}, \link{weather}
#' @examples
#' data(bean)
"bean"
