#' Dataset: Covercrops
#'
#' @description Consider a 3 ×3 factorial experiment in randomized blocks, with
#' 4 replications, on the influence of three new soybean cultivars (A1, A2 and A3)
#' and the use of three types of green manure (B1, B2 and B3) on yield in 100 m2 plots.
#'
#'
#' @docType data
#'
#' @usage data(covercrops)
#'
#' @format data.frame containing data set
#'   \describe{
#'   \item{\code{A}}{Categorical vector with cultivars}
#'   \item{\code{B}}{Categorical vector with green manure}
#'   \item{\code{Bloco}}{Categorical vector with block}
#'   \item{\code{Resp}}{Numeric vector with yield}
#'   }
#' @keywords datasets
#' @seealso \link{enxofre}, \link{laranja}, \link{mirtilo}, \link{pomegranate}, \link{porco}, \link{sensorial}, \link{simulate1}, \link{simulate2}, \link{simulate3}, \link{tomate}, \link{weather}, \link{phao}, \link{passiflora}, \link{aristolochia}
#'
#'
#' @examples
#' data(covercrops)
"covercrops"
