#' Dataset: Sulfur data
#'
#' The experiment was carried out in a randomized block design in a
#' 3 x 3 x 3 triple factorial scheme: syrup volume (75, 225 and 675 L),
#' sulfur doses (150, 450, 1350) and time of application (vegetative,
#' complete cycle and reproductive system) with four repetitions.
#' Yield in kg / ha of soybean was evaluated.
#'
#' @docType data
#'
#' @usage data(enxofre)
#'
#' @format data.frame containing data set
#'   \describe{
#'   \item{\code{f1}}{Categorical vector with factor 1}
#'   \item{\code{f2}}{Categorical vector with factor 2}
#'   \item{\code{f2}}{Categorical vector with factor 3}
#'   \item{\code{bloco}}{Categorical vector with block}
#'   \item{\code{resp}}{Numeric vector}
#'   }
#' @keywords datasets
#' @seealso \link{cloro}, \link{laranja}, \link{mirtilo}, \link{pomegranate}, \link{porco}, \link{sensorial}, \link{simulate1}, \link{simulate2}, \link{simulate3}, \link{tomate}, \link{weather}, \link{phao}, \link{passiflora}, \link{aristolochia}
#' @examples
#' data(enxofre)
"enxofre"
