#' Dataset: Sensorial data
#'
#' @description Set of data from a sensory analysis with six participants in which different combinations (blend) of the grape cultivar bordo and niagara were evaluated. Color (CR), aroma (AR), flavor (SB), body (CP) and global (GB) were evaluated. The data.frame presents the averages of the evaluators.
#' @docType data
#'
#' @usage data(sensorial)
#'
#' @format data.frame containing data set
#'   \describe{
#'   \item{\code{Blend}}{Categorical vector with treatment}
#'   \item{\code{variable}}{Categorical vector with variables}
#'   \item{\code{resp}}{Numeric vector}
#'   }
#'
#' @keywords datasets
#' @seealso \link{cloro}, \link{enxofre}, \link{laranja}, \link{mirtilo}, \link{pomegranate}, \link{porco}, \link{simulate1}, \link{simulate2}, \link{simulate3}, \link{tomate}, \link{weather}, \link{phao}, \link{passiflora}, \link{aristolochia}
#' @examples
#' data(sensorial)
"sensorial"
