#' Dataset: Soybean
#'
#' An experiment was carried out to evaluate the grain yield (kg ha-1) of ten different
#' commercial soybean cultivars in the municipality of Londrina/Parana. The experiment was carried out in the design of
#' randomized complete blocks with four replicates per treatment.
#' @docType data
#'
#' @usage data("soybean")
#'
#' @format data.frame containing data set
#'   \describe{
#'   \item{\code{cult}}{numeric vector with treatment}
#'   \item{\code{bloc}}{numeric vector with block}
#'   \item{\code{prod}}{Numeric vector with grain yield}
#'   }
#' @keywords datasets
#' @seealso \link{cloro}, \link{laranja}, \link{enxofre}, \link{laranja}, \link{mirtilo}, \link{passiflora}, \link{phao}, \link{porco}, \link{pomegranate}, \link{simulate1}, \link{simulate2}, \link{simulate3}, \link{tomate}, \link{weather}
#' @examples
#' data(soybean)
"soybean"

#'
