% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/package.R
\docType{package}
\name{AgroR-package}
\alias{AgroR}
\alias{AgroR-package}
\title{AgroR: Experimental Statistics and Graphics for Agricultural Sciences}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

Performs the analysis of completely randomized experimental designs (CRD), randomized blocks (RBD) and Latin square (LSD), experiments in double and triple factorial scheme (in CRD and RBD), experiments in subdivided plot scheme (in CRD and RBD), subdivided and joint analysis of experiments in CRD and RBD, linear regression analysis, test for two samples. The package performs analysis of variance, ANOVA assumptions and multiple comparison test of means or regression, according to Pimentel-Gomes (2009, ISBN: 978-85-7133-055-9), nonparametric test (Conover, 1999, ISBN: 0471160687), test for two samples, joint analysis of experiments according to Ferreira (2018, ISBN: 978-85-7269-566-4) and generalized linear model (glm) for binomial and Poisson family in CRD and RBD (Carvalho, FJ (2019), \doi{10.14393/ufu.te.2019.1244}). It can also be used to obtain descriptive measures and graphics, in addition to correlations and creative graphics used in agricultural sciences (Agronomy, Zootechnics, Food Science and related areas).
}
\seealso{
Useful links:
\itemize{
  \item \url{https://agronomiar.github.io/AgroR_package/index.html}
  \item \url{https://fisher.uel.br/AgroR_shiny}
  \item \url{https://fisher.uel.br/AgroR_shiny.pt}
}

}
\author{
\strong{Maintainer}: Gabriel Danilo Shimizu \email{shimizu@uel.br} (\href{https://orcid.org/0000-0001-8524-508X}{ORCID})

Authors:
\itemize{
  \item Rodrigo Yudi Palhaci Marubayashi (\href{https://orcid.org/0000-0003-2778-8654}{ORCID}) [contributor]
  \item Leandro Simoes Azeredo Goncalves (\href{https://orcid.org/0000-0001-9700-9375}{ORCID}) [contributor]
}

}
\keyword{internal}
